#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <unistd.h>
#include "drawtool.h"

extern int currentType;
extern GdkColor curColour;
extern GdkPixmap *pixmap;
extern int throughput;

void handle_buttons(GtkWidget *w, gpointer d)
{
if (currentType==EYEDROPPER) killPixmapImage();
currentType = (int)d;
} // end handle button presses

void cls(GtkWidget *w,gpointer d)
{
int t;

t = throughput;
throughput = 1;
refreshPixmap(w);
draw_rect(d,1,1,0,0,10,10,&curColour);
throughput = t;
} // end clear screen

GtkWidget *addButton(GtkWidget *vbox,GtkWidget *window,char *label,int show,GtkSignalFunc func,gpointer data)
{
GtkWidget *button;
button = gtk_button_new_with_label(label);
gtk_box_pack_start(GTK_BOX(vbox),button,TRUE,TRUE,0);
gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(func),data);
if (show) gtk_widget_show(button);
return button;
} // end add a button to the vbox
