#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <unistd.h>
#include "drawtool.h"


int parse(char *str,int *type,int *x1,int *y1,int *x2,int *y2,int *r,int *g,int *b)
{
int dontcare;

sscanf(str,"%d",type); // get the first num and no more.

switch(*type)
	{
	case POINT:
	return sscanf(str,"%d,%d,%d,%d,%d,%d",&dontcare,x1,y1,r,g,b) == 6;
	break;
	case LINE:
	return sscanf(str,"%d,%d,%d,%d,%d,%d,%d,%d",&dontcare,x1,y1,x2,y2,r,g,b) == 8;
	break;
	case EMPTYRECT:
	return sscanf(str,"%d,%d,%d,%d,%d,%d,%d,%d",&dontcare,x1,y1,x2,y2,r,g,b) == 8;
	break;
	case FILLRECT:
	return sscanf(str,"%d,%d,%d,%d,%d,%d,%d,%d",&dontcare,x1,y1,x2,y2,r,g,b) == 8;
	break;
	case EMPTCIRCLE:
	return sscanf(str,"%d,%d,%d,%d,%d,%d,%d",&dontcare,x1,y1,x2,r,g,b) == 7;
	break;
	case FILLCIRCLE:
	return sscanf(str,"%d,%d,%d,%d,%d,%d,%d",&dontcare,x1,y1,x2,r,g,b) == 7;
	break;
	case EMPTELLIPSE:
	return sscanf(str,"%d,%d,%d,%d,%d,%d,%d,%d",&dontcare,x1,y1,x2,y2,r,g,b) == 8;
	break;
	case FILLELLIPSE:
	return sscanf(str,"%d,%d,%d,%d,%d,%d,%d,%d",&dontcare,x1,y1,x2,y2,r,g,b) == 8;
	break;
	default:
	return 0;
	break;
	}
} // end parse
